post
https://api.caas.staging.bancocdc.com.br/operation/document/base64/
The document sending route is responsible for sending documents.
Attention points:
To consume the route, it is necessary to pass the operation code as a parameter.
The document must be sent encoded in base64.
The submission of documents is necessary for credit analysis, below is the code of mandatory documents for each customer profile:
PF: (1, 2) or (3, 4), 17, 45(When there is a spouse), 29(When you're working) and 9.
PJ: 9, 18, 19, 20(Ltda) or 21(S.A) or 22(M.E), 23, 24, 25, 26, 27 and 28.
Types Documents
| Code | Format |
|---|---|
| 1 | RG FRENTE |
| 2 | RG VERSO |
| 3 | CNH FRENTE |
| 4 | CNH VERSO |
| 5 | LOGO |
| 6 | RNE VERSO |
| 7 | PERFIL |
| 8 | ASSINATURA |
| 9 | COMPROVANTE DE RESIDÊNCIA |
| 10 | SELFIE COM RG |
| 12 | INSCRIÇÃO MUNICIPAL |
| 43 | OUTROS |
| 13 | AVALIAÇÃO INTERNA DE RISCO |
| 14 | ENRIQUECIMENTO |
| 15 | TERMO CESSÃO |
| 16 | CNAB CESSÃO |
| 45 | CERTIDÃO DE CASAMENTO |
| 17 | CPF |
| 18 | CNPJ |
| 19 | FATURAMENTO ÚLTIMOS 12 MESES |
| 20 | CONTRATO SOCIAL |
| 21 | ESTATUTO E ATA DE NOMEAÇÃO DE DIRETORIA |
| 22 | CERTIFICADO DA CONDIÇÃO DE MICROEMPREENDEDOR INDIVIDUAL |
| 23 | CPF SÓCIO/REPRESENTANTE |
| 24 | RG FRENTE SÓCIO/REPRESENTANTE |
| 25 | RG VERSO SÓCIO/REPRESENTANTE |
| 26 | CNH FRENTE SÓCIO/REPRESENTANTE |
| 27 | CNH VERSO SÓCIO/REPRESENTANTE |
| 28 | COMPROVANTE RESIDENCIA SÓCIO/REPRESENTANTE |
| 29 | CARTEIRA DE TRABALHO |
Types Extension
| Code | Format |
|---|---|
| 1 | .png |
| 2 | |
| 3 | .jpeg |
| 4 | .txt |
| 7 | .doc |
| 8 | .xls |
| 9 | .xlsx |
| 10 | .docx |
| 11 | x-compressed(.rar) |
| 12 | x-zip-compressed(.zip) |
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-02 | Invalid hash. |
| 400 | 400-30 | Status unidentified or without permission to use. |
| 400 | 400-37 | Invalid type for field 'X' |
| 400 | 400-39 | Error checking base64 string, please send a valid format. |
| 401 | 401-05 | Unauthorized or token invalid |
| 406 | 406-03 | field #replaceHere is mandatory and was not informed. |
| 429 | 429-01 | Too many requests |
| 503 | 503-02 | It was not possible to register the document with the service, please contact CDC BANK. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | String | Request identification code. |
| return | Boolean | Indicates if the request was successful. |
| return_code | String | Return code of the request. |
| message | String | Return message of the request. |
| data | Object | Object containing additional information. |
| data.code | String | Generated document identification code. |